#ifndef _MICROSD_H_
#define _MICROSD_H_

/* See if the card is available, and if so initialize it.  Returns
   zero if no card is present, or nonzero if the card is present and
   usable.  */
int microsd_card_ready ();

/* Read a 512 byte block.  Supports up to 2Tb.  Returns zero on
   success, nonzero on error. */
int microsd_get_block (unsigned long blockno, void *buf);

/* This increments on each card insertion.  */
extern int microsd_sequence;

#endif
