#include <string.h>
#include "bsp.h"
#include "tty.h"
#include "fatfs.h"
#include "spartan.h"
#include "microsd.h"
#include "dll-load.h"

main()
{
  unsigned char buf[512];
  int i;

  tty_init ();

  spartan_init ();
  //spartan_diag ();

  wait_ms (100);
  cprintf("\nM32C/SDRAM Diagnostic Shell\n");

  while (1)
    {
      if (microsd_card_ready ())
	cprintf("waiting for card removal...\n");
      while (microsd_card_ready ())
	;

      cprintf("waiting for card insertion...\n");
      while (!microsd_card_ready ())
	;

#if 0
      if (microsd_get_block (0, buf))
	cprintf("block read error?\n");
      else
	for (i=0; i<512; i++)
	  {
	    if (i % 32 == 0)
	      cprintf("%w :", i);
	    cprintf(" %b", buf[i]);
	    if (i % 32 == 31)
	      cprintf("\n");
	  }

      if (open_file("dj1.txt"))
	{
	  int r;
	  char buf[41];
	  while ((r = read_file (buf, 41)) > 0)
	    {
	      //printf("\033[31m(r%d)\033[0m", r);
	      tty_write (buf, r);
	    }
	}
#endif

      if (spartan_program ())
	dll_load ();
    }
}
